<?php
define('_IN_JOHNCMS', 1);
$rootpath = file_exists('registration.php') ? '' : file_exists('../registration.php') ? '../' : '../../';
require($rootpath . 'incfiles/core.php');
$textl = 'Магазин';
require($rootpath . 'incfiles/head.php');

$karma = mysql_fetch_array(mysql_query("SELECT `balans` FROM `shop` WHERE `name`='karma'"));
$statusm = mysql_fetch_array(mysql_query("SELECT `balans` FROM `shop` WHERE `name`='status'"));
$ban = mysql_fetch_array(mysql_query("SELECT `balans` FROM `shop` WHERE `name`='ban'"));
/*
-----------------------------------------------------------------------------
Магазин сайта by ZVER3D специально для сайта http://mobigtas.ru
-----------------------------------------------------------------------------
*/

    switch ($act) { //это шоб кейсы работали
/*
-------------------------------------------------
Блок изменения кармы юзверя ботом системы
-------------------------------------------------		
*/
case 'karma':
echo '<div class="phdr">Меняем баллы на голос</div>';
if ($datauser['balans'] < $karma['balans'] && $user_id) { //условие на недостаток баллов
	echo '<div class="gmenu">Ошибка! У вас недостаточно баллов!</a></div><div class="menu"><a href="magazin.php">В магазин!</a></div>';
	} else {
	$namesis = 'System'; //Указываем ник бота
	$points = 1; //кол-во голосов в карму
	$text = 'У человека завышено ЧСВ'; //Коментарий к голосу
	$type = 1; //Если 1, то плюс в карму, если 0 - минус
 mysql_query("INSERT INTO `karma_users` SET
                            `user_id` = '0',
                            `name` = '$namesis',
                            `points` = '$points',
			    `karma_user` = '" . $datauser['id'] . "',
                            `type` = '1',
                            `time` = '" . time() . "',
                            `text` = '$text'
                        ");//записываем данные в бд
$balanse = $datauser["balans"] - $karma['balans']; //скока баллов снимаем
mysql_query("UPDATE `users` SET balans='$balanse' WHERE `id` = '" . $datauser['id'] . "'"); //Ну это апдейт счётчика баллов (вычитаем 300 баллов)
$bla = $datauser["karma_plus"] + 1; //скока прибавить к счётчику
mysql_query("UPDATE `users` SET karma_plus='$bla' WHERE `id` = '" . $datauser['id'] . "'"); //плюсуем в счётчик кармы
echo '<div class="menu">Вы успешно поменяли 300 баллов на 1 голос в карму</div>';

echo '<div class="phdr"><a href="magazin.php">Вернуться в магазин</a></div>';
	}
break;
/*
---------------------------------------------------
Блок подтверждения и инфы о функции плюса в карму
---------------------------------------------------
*/
case 'ykarm':
echo '
<div class="phdr">Прибавление голоса к карме</div>
<div class="status">Данная функция прибавит к вашей карме один голос.</div>
<div class="menu">Стоимость услуги: ' . $karma['balans'] . ' баллов сайта</div>';
if ($datauser['balans'] > $karma['balans'] && $user_id) { //проверка, чтобы лишний раз юзера не гонять.
echo'
<div class="menu">Хотите воспользоваться услугой?</div>
<div class="list1"><a href="?act=karma">Да, продолжить</a> || <a href="magazin.php">Нет, перейти в магазин!</a></div>
'; //ссылки, если проверка прошла успешно
} else {
echo '<div class="menu">К сожалению, у Вас не хватает баллов для того, чтобы воспользоваться данной услугой<br/><a href="magazin.php">В магазин</a></div>';	//если проверка отрицательна
	
}

break;

/*
---------------------------------------------------
Блок подтверждения и записи статуса пользователя
---------------------------------------------------
*/
case 'ystatus':
if($_POST['submit']) { //если нажата кнопка....
echo '<div class="phdr">Меняем статус</div>';
if ($datauser['balans'] < $statusm['balans'] && $user_id) { //условие на недостаток баллов
	echo '<div class="gmenu">Ошибка! У вас недостаточно баллов!</a></div><div class="menu"><a href="magazin.php">В магазин!</a></div>';
	} else {
$error = FALSE;		
if(empty($_POST['status'])) {
$error ='Вы не ввели название<br/><a href="?act=ystatus">Повторить</a>'; //если поле не заполнено, выдаём ошибку
} else {
    $status = trim($_POST['status']); //называем результат переменной статуса
    $status = functions::check(mb_substr($status, 0, 65)); //обрабатываем, убираем дыры
    $mid = $datauser['id']; //приравниваем к иду юзера
mysql_query("UPDATE `users` SET `status`='" .$status. "' WHERE id='" .$datauser['id']. "'"); //записываем данные в бд
$balan = $datauser["balans"] - $statusm['balans']; //скока баллов снимаем
mysql_query("UPDATE `users` SET balans='$balan' WHERE `id` = '" . $datauser['id'] . "'"); //Снимаем баллы апдейтом
echo '<div class="menu">Вы успешно купили статус за 500 баллов</div>';
}
echo '<div class="phdr"><a href="magazin.php">Вернуться в магазин</a></div>';
	}	
	} else {
echo '
<div class="phdr">Изменение личного статуса</div>
<div class="status">Данная функция изменит Ваш статус</div>
<div class="menu">Стоимость услуги: ' .$statusm['balans']. ' баллов сайта</div>';
if ($datauser['balans'] > $statusm['balans'] && $user_id) { //проверка, чтобы лишний раз юзера не гонять.
echo'
<div class="menu">Хотите воспользоваться услугой?<br/>Заполните форму!</div>
<div class="list1"><form action="magazin.php?act=ystatus" method="post">
<input name="status" type="text" value="Статус" size="20" maxlength="65"></input>
<input name="submit" type="submit" value="Получить статус"></input>
</form></div>
<div class="menu"><a href="magazin.php">В магазин!</a></div>
'; //тут записываем данные в форму и отправляем, если проверка прошла успешно
} else {
echo '<div class="menu">К сожалению, у Вас не хватает баллов для того, чтобы воспользоваться данной услугой<br/><a href="magazin.php">В магазин</a></div>';	//если результат отрицателен
	
}
	}

break;


/*  
--------------------------------------------------
 Блок смены никнейма на сайте
-------------------------------------------------- 
*/
case 'name':
$name = mysql_fetch_array(mysql_query("SELECT `balans` FROM `shop` WHERE `name`='nik'"));
echo '<div class="phdr">Смена ника на сайте</div>';
echo '<div class="status">Данная функция изменяет Ваш ник</div>';
echo '<div class="menu">Стоимость услуги: ' .$name['balans']. 'баллов сайта</div>';
if ($datauser['balans'] > $name['balans'] && $user_id) {
    if ($_POST['submit']) {
    $name = mb_substr($_POST['name'], 0, 16);
    if (!$name) {
        $err = 'Ошибка! Ник должен быть от 3 до 16 символов!<a href="magazin.php?act=name">Повторить</a>';
    }
    if ($err) {
        echo '<div class="rmenu">' .$err. '</div>';
    } else {
    $name = functions::check($name);
    $minus = $datauser['balans'] - $name['balans'];
    mysql_query("UPDATE `users` SET `name`='" .$name. "', `balans`='" .$minus. "' WHERE `id`='" .$user_id. "'");
    echo '<div class="menu">Ник успешно изменён!</div>';    
    }    
    } else {
    echo '<div class="list1">Если хотите воспользоваться услугой, введите в форме ниже желаемый ник:<br />
    <form method="post" target="_blank">
    <input type="text" name="name" value="' .functions::checkout($datauser['name'], 1, 0). '" maxlength="16" /><br />
    <input type="submit" name="submit" value="Изменить" />
    </form></div>';
    }
}
echo '<div class="menu"><a href="magazin.php">Do\'konga qaytish</a></div>';
break;

/*
--------------------------------------------------
Блок удаления истории банов
--------------------------------------------------
*/
case 'razban':
echo '<div class="phdr">Удаляем историю нарушений</div>';
if ($datauser['balans'] > $ban['balans'] && $user_id) { //проверка на баланс
mysql_query("DELETE FROM `cms_ban_users` WHERE `user_id` = '" . $datauser['id'] . "'"); //удаляем историю нарушений пользователя
$bal = $datauser["balans"] - $ban['balans']; //сколько баллов снимаем
mysql_query("UPDATE `users` SET balans='$bal' WHERE `id` = '" . $datauser['id'] . "'"); //Снимаем баллы с пользователя, апдейтим базу
echo '<div class="menu">История банов успешно очищена! <br/><a href="magazin.php">В магазин</a></div>';
} else {
echo '<div class="rmenu">У вас недостаточно баллов для очистки истории нарушений</div>
<div class="menu"><a href="magazin.php">В магазин</a></div>
';
}
break;


/*
---------------------------------------------------
Блок изменения цвета ника юзверя 
--------------------------------------------------- 
*/
case 'cnik':
$cnik = mysql_fetch_array(mysql_query("SELECT `balans` FROM `shop` WHERE `name`='cnik'"));
echo '<div class="phdr">Cмена цвета ника</div>
<div class="status">Данная функция меняет цвет Вашего ника на сайте</div>
<div class="menu">Стоимость услуги: ' .$cnik['balans']. ' баллов сайта</div>';
if ($datauser['balans'] > $cnik['balans'] && $user_id) {
if ($_POST['submit']) {
$color = functions::check($_POST['color']);
if ($color == $users['color']) {
$err = 'Ошибка! У вас и так установлен этот цвет!';    
}
if ($err) {
    echo '<div class="rmenu">' .$err. '</div>';
} else {
mysql_query("UPDATE `users` SET `color`='" .$color. "' WHERE `id`='" .$user_id. "'");
$minus = $datauser['balans'] - $cnik['balans'];
mysql_query("UPDATE `users` SET `balans`='" .$minus. "' WHERE `id`='" .$user_id. "'");
echo '<div class="menu">Цвет Вашего ника успешно изменён!</div>';    
}    
} else {
echo '<div class="list1">Nick uchun rang tanlang:<br />
<form method="post">
<input type="radio" name="color" value="red" /> Qizil<br />
<input type="radio" name="color" value="green" /> Yashil<br />
<input type="radio" name="color" value="blue" /> Ko\'k<br />
<input type="radio" name="color" value="yellow" /> Sariq<br />
<input type="radio" name="color" value="" /> Qora<br />
<input type="submit" name="submit" value="O\'zgartirish" />
</form></div>';
}    
}
echo '<div class="menu"><a href="magazin.php">Do\'konga qaytish</a></div>';
break;

/*
---------------------------------------------------
Блок окончательного удаления банов
---------------------------------------------------
*/
case 'yrazban':
echo '
<div class="phdr">Удаление истории нарушений</div>
<div class="status">Данная функция удаляет историю Ваших нарушений</div>
<div class="menu">Стоимость услуги: ' .$ban['balans']. ' баллов сайта</div>';
if (($datauser['balans'] > $ban['balans']) && $user_id) { //проверка, чтобы лишний раз юзера не гонять.
echo'
<div class="menu">Хотите воспользоваться услугой?</div>
<div class="list1"><a href="?act=razban">Да, продолжить</a> || <a href="magazin.php">Нет, перейти в магазин!</a></div>
'; //ссылки, если проверка прошла успешно
} else {
echo '<div class="menu">К сожалению, у Вас не хватает баллов для того, чтобы воспользоваться данной услугой<br/><a href="magazin.php">В магазин</a></div>';	//если проверка отрицательна
}

break;

/*
-----------------------------------------------
Блок смены цвета статуса
----------------------------------------------- 
*/
case 'cstatus':
$cstatus = mysql_fetch_array(mysql_query("SELECT `balans` FROM `shop` WHERE `name`='cstatus'"));
echo '<div class="phdr">Cмена цвета статуса</div>
<div class="status">Данная функция меняет цвет Вашего статуса на сайте</div>
<div class="menu">Стоимость услуги: ' .$cstatus['balans']. ' баллов сайта</div>';
if ($datauser['balans'] > $cstatus['balans'] && $user_id) {
if ($_POST['submit']) {
$color = functions::check($_POST['color']);
if ($color == $users['color']) {
$err = 'Ошибка! У вас и так установлен этот цвет!';    
}
if (!$datauser['status']) {
    $err = 'Xatolik! siz status o\'rnatmagansiz';
}
if ($err) {
    echo '<div class="rmenu">' .$err. '</div>';
} else {
mysql_query("UPDATE `users` SET `cstatus`='" .$color. "' WHERE `id`='" .$user_id. "'");
$minus = $datauser['balans'] - $cstatus['balans'];
mysql_query("UPDATE `users` SET `balans`='" .$minus. "' WHERE `id`='" .$user_id. "'");
echo '<div class="menu">Sizning satutsingiz rangi muvoffaqiyatli o\'zgartirildi!</div>';    
}    
} else {
echo '<div class="list1">Status uchun rang tanlang:<br />
<form method="post">
<input type="radio" name="color" value="red" /> Qizil<br />
<input type="radio" name="color" value="green" /> Yashil<br />
<input type="radio" name="color" value="blue" /> Ko\'k<br />
<input type="radio" name="color" value="yellow" /> Sariq<br />
<input type="radio" name="color" value="" /> Qora<br />
<input type="submit" name="submit" value="O\'zgartirish" />
</form></div>';
}    
}
echo '<div class="menu">Do\'konga qaytish</div>';
break;

/*
-------------------------------------
Магазин сайта by ZVER3D
-------------------------------------
*/
default:
echo "<div class='phdr'>Do'kon</div>";
echo '<div class="rmenu">Sizning hisobingizda ' . $datauser['balans'] . ' ball mavjud</div>';
echo "<div class='menu'>&#160;&#187;&#160; <a href='?act=ykarm'>Karmani oshirish</a></div>";
echo '<div class="menu"><div class="func">Narxi: 300 Ball</div></div>';
echo "<div class='menu'>&#160;&#187;&#160; <a href='?act=ystatus'>Statusni o'zgartirish</a></div>";
echo '<div class="menu"><div class="func">Narxi: 500 Ball</div></div>';
echo "<div class='menu'>&#160;&#187;&#160;<a href='?act=yrazban'>Qoida buzarliklarni tozalash</a></div>";
echo '<div class="menu"><div class="func">Narxi: 600 Ball</div></div>';
echo '<div class="menu">&#160;&#187;&#160; <a href="?act=name">Nickni o\'zgartirish</a></div>';
echo '<div class="menu"><div class="func">Narxi: 600 Ball</div></div>';
echo '<div class="menu">&#160;&#187;&#160; <a href="?act=cnik">Nick rangini o\'zgartirish</a></div>';
echo '<div class="menu"><div class="func">Narxi: 400 Ball</div></div>';
echo '<div class="menu">&#160;&#187;&#160; <a href="?act=cstatus">Status rangini o\'zgartirish</a></div>';
echo '<div class="menu"><div class="func">Narxi: 300 Ball</div></div>';
echo '<div class="menu">&#160;&#187;&#160; <a href="/shop/close.php">Profilni berkitish</a></div>';
echo '<div class="menu"><div class="func">Narxi: 300 Ball</div></div>';

$link_r = mysql_query("SELECT * FROM `shop` WHERE `sub`='links'");
$i = 2;
while ($req = mysql_fetch_array($link_r)){
    echo ($i % 2) ? '<div class="menu"><img src="dva.png" alt="" />' : '<div class="list1"><img src="odin.png" alt="" />';
    echo ' <a href="' .$req['link']. '">' .$req['name']. '</a></div>';
++$i;    
}
break;
	}
if ($rights > 5) {
    echo '<div class="phdr"><a href="admin.php">ADMINKA</a></div>';
}
require($rootpath . 'incfiles/end.php');
?>
